DroppingArea (gCube Templates Portlet 4.8.0-SNAPSHOT API)
Date: 2015-07-03

org.gcube.portlets.user.templates.client.components

## Class DroppingArea

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent
        - - org.gcube.portlets.user.templates.client.components.DroppingArea

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class DroppingArea
      extends org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

  `DroppingArea` class is a Widget that can be placed in the UI Component
  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

      `DELTA, height, left, mainPanel, resizablePanel, top, topPanel, width`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroppingArea(Presenter controller, int left, int top, int width, int height, boolean isDoubled)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpectedContent()`
    `void` | `lockComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toLock, boolean locked)`
    `void` | `removeTemplateComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toRemove)`
    `void` | `setExpectedContent(String expectedContent)`

    - ### Methods inherited from class org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

      `get, getLeft, getMyFakeTextArea, getResizablePanel, getTop, getTopPanel, getType, hideCloseButton, repositionMyPanel, resizePanel, setHeight, setLeft, setLocked, setMyFakeTextArea, setTop, setType`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DroppingArea

          public DroppingArea(Presenter controller,
                      int left,
                      int top,
                      int width,
                      int height,
                      boolean isDoubled)

      Parameters:
        `controller` - controller instance
        `left` - l
        `top` - t
        `width` - width
        `height` - height
        `isImage` - tell if il will be a image or a text when in the report portlet

  - ### Method Detail

    - #### getExpectedContent

          public String getExpectedContent()

      Returns:
        expectedContent

    - #### setExpectedContent

          public void setExpectedContent(String expectedContent)

      Parameters:
        `expectedContent` - .

    - #### lockComponent

          public void lockComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toLock,
                           boolean locked)

      Specified by:
        `lockComponent` in class `org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent`

    - #### removeTemplateComponent

          public void removeTemplateComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toRemove)

      Specified by:
        `removeTemplateComponent` in class `org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent`

Copyright © 2015. All Rights Reserved.